
From: Matt Mackall <mpm@selenic.com>

Fix triple faulting on some boxes with 4G/4G



 arch/i386/kernel/vm86.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/vm86.c~4g4g-athlon-triplefault-fix arch/i386/kernel/vm86.c
--- 25/arch/i386/kernel/vm86.c~4g4g-athlon-triplefault-fix	2003-11-20 00:28:25.000000000 -0800
+++ 25-akpm/arch/i386/kernel/vm86.c	2003-11-20 00:28:25.000000000 -0800
@@ -303,10 +303,9 @@ static void do_sys_vm86(struct kernel_vm
 
 	tss = init_tss + get_cpu();
 	tsk->thread.esp0 = (unsigned long) &info->VM86_TSS_ESP0;
-	tss->esp0 = virtual_esp0(tsk);
 	if (cpu_has_sep)
 		tsk->thread.sysenter_cs = 0;
-	load_esp0(tss, &tsk->thread);
+	load_virtual_esp0(tss, tsk);
 	put_cpu();
 
 	tsk->thread.screen_bitmap = info->screen_bitmap;

_
